use crate::types::*;

pub const INGREDIENTS: [Ingredient; 11] = [
    Ingredient {
        key: "water",
        translates: IngredientTranslate {
            rus: "Вода",
            eng: Some(
                "Water",
            ),
        },
    },
    Ingredient {
        key: "carrot",
        translates: IngredientTranslate {
            rus: "Морковь",
            eng: Some(
                "Carrot",
            ),
        },
    },
    Ingredient {
        key: "potato",
        translates: IngredientTranslate {
            rus: "Картофель",
            eng: Some(
                "Potato",
            ),
        },
    },
    Ingredient {
        key: "wheat_flour",
        translates: IngredientTranslate {
            rus: "Пшеничная мука",
            eng: Some(
                "Wheat flour",
            ),
        },
    },
    Ingredient {
        key: "olive_oil",
        translates: IngredientTranslate {
            rus: "Оливковое масло",
            eng: Some(
                "Olive oil",
            ),
        },
    },
    Ingredient {
        key: "dry_yeast",
        translates: IngredientTranslate {
            rus: "Сухие дрожжи",
            eng: Some(
                "Dry yeast",
            ),
        },
    },
    Ingredient {
        key: "apple",
        translates: IngredientTranslate {
            rus: "Яблоко",
            eng: Some(
                "Apple",
            ),
        },
    },
    Ingredient {
        key: "banana",
        translates: IngredientTranslate {
            rus: "Банан",
            eng: Some(
                "Banana",
            ),
        },
    },
    Ingredient {
        key: "orange",
        translates: IngredientTranslate {
            rus: "Апельсин",
            eng: Some(
                "Orange",
            ),
        },
    },
    Ingredient {
        key: "salt",
        translates: IngredientTranslate {
            rus: "Соль",
            eng: Some(
                "Salt",
            ),
        },
    },
    Ingredient {
        key: "sugar",
        translates: IngredientTranslate {
            rus: "Сахар",
            eng: Some(
                "Sugar",
            ),
        },
    },
];

lazy_static::lazy_static! {
pub static ref RECIPES: [Recipe; 1] = [
    Recipe {
        key: "thin_crispy_pizza_base",
        steps: 7,
        ingredients: vec![
            RecipeIngredient {
                key: "salt",
                measure: Measure::Gram(5),
            },
            RecipeIngredient {
                key: "sugar",
                measure: Measure::Gram(4),
            },
            RecipeIngredient {
                key: "wheat_flour",
                measure: Measure::Gram(500),
            },
            RecipeIngredient {
                key: "dry_yeast",
                measure: Measure::Gram(7),
            },
            RecipeIngredient {
                key: "olive_oil",
                measure: Measure::MilliLiter(25),
            },
            RecipeIngredient {
                key: "water",
                measure: Measure::MilliLiter(250),
            },
        ],
        translates: RecipeTranslates {
            rus: RecipeTranslate {
                name: "Тонкая хрустящая основа для пиццы",
                instructions: vec![
                    "Растворить дрожжи в воде, подогретой до температуры тела.",
                    "Добавить соль, сахар, оливковое масло и хорошо перемешать до однородной консистенции.",
                    "Добавить муку и замесить тесто. Вымешивать не менее 15 минут.",
                    "Разделить тесто на 3 порции, каждую завернуть в пищевую плёнку и дать настояться около 30 минут.",
                    "Растянуть один кусок теста до тонкого состояния и аккуратно переложить на смазанный растительным маслом противень.",
                    "Смазать соусом, чтобы тесто не осталось жидким и чтобы начинка не скользила по нему, и поставить в предварительно разогретую до максимальной температуры (не меньше 250 градусов) на 5-10 минут. В результате тесто хорошо пропечется и станет хрустящим.",
                    "Теперь на основу можно выкладывать начинку на ваш вкус и запекать до момента, когда сыр растает.",
                ],
            },
            eng: None,
        },
    },
];
}
